package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.ImportCommonService;
import com.engine.organization.service.impl.ImportCommonServiceImpl;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/29
 * @version: 1.0
 */
public class ImportCommonWrapper extends Service {

    private ImportCommonService getImportCommonService(User user) {
        return ServiceUtil.getService(ImportCommonServiceImpl.class, user);
    }

    public Map<String, Object> saveImportResource(Map<String, Object> params, HttpServletRequest request) {
        return getImportCommonService(user).saveImportResource(params, request);
    }


    /**
     * 选择导入字段
     *
     * @return
     */
    public Map<String, Object> getImportFields(String importType) {
        return getImportCommonService(user).getImportFields(importType);
    }

    /**
     * 获取导入表单
     *
     * @param importType
     * @param ids
     * @return
     */
    public Map<String, Object> getImportForm(String importType, String ids) {
        return getImportCommonService(user).getImportForm(importType, ids);
    }
}
